Subject: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Perry Wagle <[email-masked]>
Date: Wed, 15 Jan 2020 12:03:54 -0800

Hi —

I made some change to an .el file somewhere which fixed the problem.  Do you want me to track it down?

— Perry

> On Jan 15, 2020, at 11:24 AM, Stefan Kangas <[email-masked]> wrote:
> 
> Perry Wagle <[email-masked]> writes:
> 
>> In xemacs, if I double click on a word, the word is highlighted.  If
>> I then press control-s for search, and click the middle mouse button
>> *without moving the mouse*, I will paste that word into the search
>> string, and all is good.
>> 
>> Emacs, on the other hand, does not support this idiom.  For some
>> reason, the middle mouse button *ABORTS* the search mode, and then
>> pastes the word under the mouse.  Why would you want that?
>> 
>> This idiom alone has kept me using xemacs for over a decade.  I'd
>> like to switch to emacs now.
>> 
>> Can I fix this easily with option-setting, or does it require me to
>> hack and add the correct behavior?
> 
> This was reported 9 years ago but unfortunately never got a reply at
> the time.
> 
> I think you should set mouse-yank-at-point to t to get the desired
> behaviour.  Could you please try that and see if that works for your
> use-case?
> 
> Best regards,
> Stefan Kangas